Subject: Re: very minor 405GP and 405GPr PCI difference

From: "David Müller (ELSOFT AG)" <[email-masked]>
Date: Wed, 02 Oct 2002 09:46:26 +0200

David Gibson wrote:
> On Tue, Oct 01, 2002 at 10:37:20AM +0200, "David M?ller (ELSOFT AG)" wrote:
>
[stuff deleted]
>>
>>In your proposed patch, i'm missing a way to install a board specify
>>mapping either by using special constants, callback functions to board
>>specific code, .... AFAICS all boards are forced to use the same mapping.
>
>
> That's right.  Is there a reason for boards to have different
> mappings?  I can well believe that there is, but the current tree
> doesn't show it - all the boards (in the tree) that have PCI appear to
> do the same initialisation of the windows.  It doesn't seem worthwhile
> to create board specific PCI initialisation hooks until we have a
> board that needs it.
>

Not all boards using LinuxPPC are in the offical tree (yet). I know at
least two boards which are using a "non-standard" PCI mapping.

Dave

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/